#ifndef PROGRESSBAR_H
#define PROGRESSBAR_H

#include <QWidget>

class ProgressBar : public QWidget
{
    Q_OBJECT
public:
    explicit ProgressBar(QWidget *parent = nullptr);

    void moveEvent(QMoveEvent *) override;

    void resizeEvent(QResizeEvent *) override;

    void paintEvent(QPaintEvent *pe) override;

    void setProgress(int progress);

    int getProgress() const;

signals:

private:
    int _progress;
};

#endif // PROGRESSBAR_H
